apiVersion: v1
kind: Service
metadata:
  name: wedding-fe-main-svc
  namespace: apps
spec:
  type: NodePort
  selector:
    app: wedding-fe-main
  ports:
    - name: http
      nodePort: 31011
      port: 80
      targetPort: 80

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: wedding-fe-main
  namespace: apps
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 1
    type: RollingUpdate
  selector:
    matchLabels:
      app: wedding-fe-main
  template:
    metadata:
      labels:
        app: wedding-fe-main
        delpoymentDate: "{{replaceMe}}"
    spec:
      containers:
        - name: wedding-fe-main
          image: 192.168.195.195:30000/wedding-fe:main
          imagePullPolicy: Always
          ports:
            - name: http
              containerPort: 80
          readinessProbe:
            httpGet:
              path: /
              port: 80
            initialDelaySeconds: 5
            periodSeconds: 5
            successThreshold: 1